ExponentialIntensity Class Reference

Exponential Intensity. More...

`#include <ql/experimental/math/fireflyalgorithm.hpp>`

Inheritance diagram for ExponentialIntensity:
[legend]

## Public Member Functions

| ExponentialIntensity (Real beta0, Real betaMin, Real gamma)
Public Member Functions inherited from FireflyAlgorithm::Intensity
void | findBrightest ()
| find brightest firefly for each firefly

## Protected Member Functions

Real | intensityImpl (Real valueX, Real valueY, Real d)
Protected Member Functions inherited from FireflyAlgorithm::Intensity
Real | distance (const Array &x, const Array &y) const

## Protected Attributes

Real | beta0_
Real | betaMin_
Real | gamma_
Protected Attributes inherited from FireflyAlgorithm::Intensity
Size | Mfa_
Size | N_
const std::vector< Array > * | x_
const std::vector< std::pair< Real, Size > > * | values_
std::vector< Array > * | xI_

## Detailed Description

Exponential Intensity.